<script setup>
import { ref } from "vue";

const props = defineProps({
	offset: {
		type: Array,
		default() {
			return [0, 0];
		},
	},
	width: {
		type: [Number, String],
		default: 58,
	},
	height: {
		type: [Number, String],
		default: 22,
	},
	color: {
		type: String,
		default: "#aaa",
	},
	fillColor: {
		type: String,
		default: 'transparent',
	},
	tColor: {
		type: String,
		default: "#0e0",
	},
	text: {
		type: [Number, String],
		default: "Text",
	},
  unit: {
    type: String,
    default: "",
  },
	fontSize: {
		type: [Number, String],
		default: 16,
	},
	textAnchor: {
		type: String,
		validator: (v) => ["start", "middle", "end"].includes(v),
		default: "middle",
	},
});
</script>

<template>
  <g ref="g" :transform="'translate(' + offset.join(',') + ')'">
    <rect
      :width="width"
      :height="height"
      :stroke="color"
      :fill="fillColor"
      style="stroke-width: 2"
    />
    <text
      :x="width / 2"
      :y="height / 2"
      :dy="fontSize / 2.4"
      :fill="tColor"
      :text-anchor="textAnchor"
      :font-size="fontSize"
      >{{ text }}</text
    >
    <text
      v-if="unit"
      :x="width + 10"
      :y="height / 2"
      :dy="fontSize / 2.4"
      :fill="color"
      text-anchor="start"
      :font-size="fontSize"
      >{{ unit }}</text
    >
  </g>
</template>

<style scoped lang="less"></style>
